{*******************************************************************************}
{                                                                               }
{                       Registraton Unit for CBServer                           }
{                                                                               }
{*******************************************************************************}

unit CBReg;

interface

uses
	SysUtils, Classes, DsgnIntf, Dialogs, Forms, CBServer;


procedure Register;


implementation

	{ *** Privat Functions *** }

	{ Editor FileName Input }
	type
		TFileNameProp = class(TStringProperty)
		public
			function  GetAttributes:TPropertyAttributes; override;
			procedure Edit; override;
		end;

	function TFileNameProp.GetAttributes:TPropertyAttributes;
	begin
		Result := [paDialog];
	end;

	procedure TFileNameProp.Edit;
	var
		OpenDialog: TOpenDialog;
	begin
		OpenDialog := TOpenDialog.Create(Application);
		try
			OpenDialog.Filter := 'dBase (*.DBF)|*.DBF';
			OpenDialog.FileName := GetStrValue;
			if OpenDialog.Execute then
				SetStrValue(OpenDialog.FileName);
		finally
			OpenDialog.Free;
		end;
	end;


procedure Register;
begin
	RegisterComponents('CodeBase', [TCBServer, TCBFile]);
	RegisterPropertyEditor(TypeInfo(string), TCBFile, 'FileName', TFileNameProp);
end;

end.

